Page MenuHomePhabricator

Convert AbuseFilter to use extension registration
Closed, ResolvedPublic

Description

The AbuseFilter extension needs to be converted to use the new extension registration system. More details are available on T87875.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2015, 7:18 PM
Legoktm updated the task description. (Show Details)Jan 29 2015, 7:19 PM
Legoktm added a project: AbuseFilter.
Legoktm set Security to None.
gerritbot added a subscriber: gerritbot.

Change 190761 had a related patch set uploaded (by Se4598):
Convert AbuseFilter to use extension registration system

https://gerrit.wikimedia.org/r/190761

Patch-For-Review

Se4598 triaged this task as Low priority.Feb 16 2015, 3:02 AM
Se4598 claimed this task.

Change 190761 abandoned by Se4598:
Add extension.json

Reason:
I don't have the will and time to maintain this change for all the other changes happening while this was up in the past and would be up in the future... Don't rely on this ps.

https://gerrit.wikimedia.org/r/190761

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJul 2 2015, 10:10 AM
Se4598 removed Se4598 as the assignee of this task.Jul 2 2015, 10:11 AM

Change 222566 had a related patch set uploaded (by Paladox):
Add extension.json, empty php entry point

https://gerrit.wikimedia.org/r/222566

Change 222566 merged by jenkins-bot:
Add extension.json, empty php entry point

https://gerrit.wikimedia.org/r/222566

Change 292569 had a related patch set uploaded (by Paladox):
Add extension registration and following changes

https://gerrit.wikimedia.org/r/292569

Tgr added a subscriber: Tgr.Jun 3 2016, 3:39 PM

e71808f4c4deca416ecd39160d12f2584bfb9d65 did this but had to be reverted (see T136644 and T136929).

"AbuseFilterAvailableActions" should be converted to an associative array, so in config the things that need to be disabled can be set to => false instead of requiring array_diff and whatnot, and any calling code that needs to read from $wgAbuseFilterAvailableActions can use array_keys( array_filter( ... ) ); first.

Change 292604 had a related patch set uploaded (by Gergő Tisza):
Add extension.json, empty php entry point

https://gerrit.wikimedia.org/r/292604

Tgr added a comment.Jun 3 2016, 7:19 PM

Tried to update those config fields to associative but preserve B/C with a somewhat ugly hack in https://gerrit.wikimedia.org/r/#/c/292605/.

Paladox assigned this task to Tgr.Jun 7 2016, 2:23 PM
Paladox added a subscriber: Paladox.

@Tgr I've assigned you to this task since you fixed the problem. If you doint want to be assigned please unassign your self.

Change 292604 merged by jenkins-bot:
Add extension.json, empty php entry point

https://gerrit.wikimedia.org/r/292604

Tgr closed this task as Resolved.Jun 7 2016, 2:32 PM

Let's hope it sticks this time.

Change 292569 abandoned by Paladox:
Add extension registration and following changes

https://gerrit.wikimedia.org/r/292569

Change 299931 had a related patch set uploaded (by Gergő Tisza):
Add extension.json, empty php entry point

https://gerrit.wikimedia.org/r/299931

Change 299931 merged by jenkins-bot:
Add extension.json, empty php entry point

https://gerrit.wikimedia.org/r/299931